chargebee_dart 0.0.3

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 79

chargebee_dart

A Dart wrapper for the Chargebee iframe API

Usage

A simple usage example:

import 'package:chargebee_dart/chargebee_dart.dart';

main() async {
  final loader = await ChargeBee.embed(url, siteName);
  loader.load();
  loader.onAddIframe.then((iframe) {});
  loader.onCancel.then((iframe) {});
  loader.onSuccess.then((iframe) {});
  loader.onLoad.then((dimensions) {
    // dimensions.iframe
    // dimensions.width
    // dimensions.height
  });
  resizeIframeSubscription = _loader.onResize.listen((dimensions) {
    // dimensions.iframe
    // dimensions.width
    // dimensions.height
  });

  ...

  // when done
  loader.dispose();
  resizeIframeSubscription.cancel();
}

Changelog

0.0.3

  • Dart 2 stable

0.0.2

  • fix onSuccess
  • Add onError

0.0.1

  • Initial version, created by Stagehand

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  chargebee_dart: ^0.0.3

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:chargebee_dart/chargebee_dart.dart';
  
Version Uploaded Documentation Archive
0.0.3 Aug 7, 2018 Go to the documentation of chargebee_dart 0.0.3 Download chargebee_dart 0.0.3 archive
0.0.2 Feb 2, 2018 Go to the documentation of chargebee_dart 0.0.2 Download chargebee_dart 0.0.2 archive
0.0.1 Jan 31, 2018 Go to the documentation of chargebee_dart 0.0.1 Download chargebee_dart 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
57
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
79
Learn more about scoring.

We analyzed this package on Aug 10, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.11.8

Platforms

Detected platforms: web

Primary library: package:chargebee_dart/chargebee_dart.dart with components: html, js.

Suggestions

The description is too short.

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Package is pre-v1 release.

While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction of the API.

Maintain an example.

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use chargebee_dart.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.20.1 <3.0.0
dart_browser_loader ^0.0.3 0.0.5
js ^0.6.1 0.6.1+1
Dev dependencies
test ^1.3.0